<template>
    <div id="app">
        <div class="sidebar">
            <div class="sidebar-content">
                <div class="sidebar-logo"></div>
                <h2 class="sidebar-heading">Components</h2>
                <h3 class="sidebar-item" @click="activeComponent = 'DropdownSandbox'">
                    Dropdown
                </h3>
                <h3 class="sidebar-item" @click="activeComponent = 'LoadingDotsSandbox'">
                    Loading Dots
                </h3>
                <h3 class="sidebar-item" @click="activeComponent = 'LoadingSpinnerSandbox'">
                    Loading Spinner
                </h3>
                <h3 class="sidebar-item" @click="activeComponent = 'TabsSandbox'">
                    Tabs
                </h3>
                <h3 class="sidebar-item" @click="activeComponent = 'ToastSandbox'">
                    Toast
                </h3>
            </div>
        </div>
        <div class="content">
            <component v-bind:is="activeComponent"/>
        </div>
    </div>
</template>

<script>
import DropdownSandbox from './views/dropdown/dropdown_sandbox.vue';
import LoadingDotsSandbox from './views/loading-dots/loading_dots_sandbox.vue';
import LoadingSpinnerSandbox from './views/loading-spinner/loading_spinner_sandbox.vue';
import TabsSandbox from './views/tabs/tabs_sandbox.vue';
import ToastSandbox from './views/toast/toast_sandbox.vue';

export default {
    name: 'Sandbox',
    components: {
        DropdownSandbox,
        LoadingDotsSandbox,
        LoadingSpinnerSandbox,
        TabsSandbox,
        ToastSandbox,
    },
    data() {
        return {
            activeComponent: DropdownSandbox,
        };
    },
};
</script>
<style lang="scss">
@import "~air-ui-kit";

h1 {
    font-size: 70px;
    line-height: 80x;
    font-weight: 300;
    letter-spacing: -0.04em;
    color: #36424A;
}

h2 {
    font-size: 26px;
    line-height: 38px;
    font-weight: 400;
    letter-spacing: -0.025em;
    color: #36424A;
}

h3 {
    font-size: 17px;
    line-height: 25px;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 0.03em;
    color: #36424A;
}

h4 {
    font-size: 16px;
    line-height: 24px;
    font-weight: 600;
    letter-spacing: 0.0025em;
    color: #36424A;
}

.sidebar {
    height: 100%;
    width: 250px;
    position: absolute;
}

.sidebar-content {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    min-width: 185px;
    justify-content: center;
    font-weight: 700;

    .sidebar-logo {
        height: 40px;
        width: 150px;
        background-image: url('./assets/logo.svg');
        background-repeat: no-repeat;
    }

    .sidebar-heading {
        margin: 0 0 10px 25px;
    }

    .sidebar-item {
        cursor: pointer;
        margin: 0 0 0 25px;
    }
}

.sidebar-content > * {
    width: 100%;
    margin-bottom: 64px;
}

.content {
    margin: 50px 0 0 300px;
}

.component {
    text-align: center;
}

.props-content {
    display: flex;
    flex-wrap: wrap;

    input {
        margin-right: 25px;
        height: fit-content;
    }

    label {
        margin-right: 10px;
    }

    .prop {
        display: flex;
    }
}
</style>
